### Class

# RB TaskProgressSimple

#### Description [src]

    class RB.TaskProgressSimple : GObject.Object
      implements RB.TaskProgress {
      RBTaskProgressSimplePrivate* priv
    }

This implementation of `RBTaskProgress` can be used to represent tasks that aren’t bound to the lifecycle of an object that can implement the interface directly.

#### Ancestors

- GObject

#### Implements

- RBTaskProgress

#### Functions

###### rb_task_progress_simple_new

Creates a new simple task progress object.

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from RBTaskProgress (1)

###### rb_task_progress_cancel

No description available.

#### Properties

##### Properties inherited from RBTaskProgress (6)

###### RBTaskProgress:task-cancellable

No description available.

###### RBTaskProgress:task-detail

No description available.

###### RBTaskProgress:task-label

No description available.

###### RBTaskProgress:task-notify

No description available.

###### RBTaskProgress:task-outcome

No description available.

###### RBTaskProgress:task-progress

No description available.

#### Signals

###### RB.TaskProgressSimple::cancel-task

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct RBTaskProgressSimpleClass {
      GObjectClass parent;

    }

No description available.

###### Class members

`parent: GObjectClass`

  No description available.